Debian Bug report logs - #639032
gtklp: FTBFS: gtklp.h:99:1: error: unknown type name 'ppd_file_t'

version graph

Package: src:gtklp; Maintainer for src:gtklp is Zak B. Elep <zakame@zakame.net>;

Reported by: bertagaz <bertagaz@ptitcanardnoir.org>

Date: Tue, 23 Aug 2011 20:06:01 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version gtklp/1.2.7-2.1

Fixed in version gtklp/1.2.7-2.2

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Zak B. Elep <zakame@zakame.net>:
Bug#639032; Package src:gtklp. (Tue, 23 Aug 2011 20:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to bertagaz <bertagaz@ptitcanardnoir.org>:
New Bug report received and forwarded. Copy sent to Zak B. Elep <zakame@zakame.net>. (Tue, 23 Aug 2011 20:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: bertagaz <bertagaz@ptitcanardnoir.org>
To: submit@bugs.debian.org
Subject: gtklp: FTBFS: gtklp.h:99:1: error: unknown type name 'ppd_file_t'
Date: Tue, 23 Aug 2011 21:55:59 +0200
Source: gtklp
Version: 1.2.7-2.1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110822 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> gcc -DHAVE_CONFIG_H -I. -I..  -Wall -I../include -I../libgtklp -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/cairo -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    -DHAVE_LIBSSL -DLOCALEDIR=\"/usr/share/locale\" -DHAVE_GTK2 -DMAX_PRT=150    -g -O2 -g -O2 -Wall -c file.c
> In file included from file.c:36:0:
> gtklp.h:99:1: error: unknown type name 'ppd_file_t'
> file.c: In function 'fileSelDialogOk':
> file.c:80:6: warning: variable 'i1' set but not used [-Wunused-but-set-variable]
> make[3]: *** [file.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/08/22/gtklp_1.2.7-2.1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Information forwarded to debian-bugs-dist@lists.debian.org, Zak B. Elep <zakame@zakame.net>:
Bug#639032; Package src:gtklp. (Wed, 14 Sep 2011 13:07:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Zak B. Elep <zakame@zakame.net>. (Wed, 14 Sep 2011 13:07:01 GMT) Full text and rfc822 format available.

Message #10 received at 639032@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: bertagaz <bertagaz@ptitcanardnoir.org>, 639032@bugs.debian.org
Subject: Re: Bug#639032: gtklp: FTBFS: gtklp.h:99:1: error: unknown type name 'ppd_file_t'
Date: Wed, 14 Sep 2011 13:36:27 +0100
tags 639032 patch
user ubuntu-devel@lists.ubuntu.com
usertags 639032 ubuntu-patch oneiric
thanks

On Tue, Aug 23, 2011 at 09:55:59PM +0200, bertagaz wrote:
> During a rebuild of all packages in sid, your package failed to build on
> amd64.
> 
> Relevant part:
> > gcc -DHAVE_CONFIG_H -I. -I..  -Wall -I../include -I../libgtklp -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/cairo -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    -DHAVE_LIBSSL -DLOCALEDIR=\"/usr/share/locale\" -DHAVE_GTK2 -DMAX_PRT=150    -g -O2 -g -O2 -Wall -c file.c
> > In file included from file.c:36:0:
> > gtklp.h:99:1: error: unknown type name 'ppd_file_t'

Patch follows:

  * Include <cups/ppd.h> for ppd_file_t (closes: #639032, LP: #831283).

diff -u gtklp-1.2.7/debian/patches/series gtklp-1.2.7/debian/patches/series
--- gtklp-1.2.7/debian/patches/series
+++ gtklp-1.2.7/debian/patches/series
@@ -3,0 +4 @@
+bugs/639032.diff
only in patch2:
unchanged:
--- gtklp-1.2.7.orig/debian/patches/bugs/639032.diff
+++ gtklp-1.2.7/debian/patches/bugs/639032.diff
@@ -0,0 +1,19 @@
+Description: Include <cups/ppd.h> for ppd_file_t
+Author: Colin Watson <cjwatson@ubuntu.com>
+Bug-Debian: http://bugs.debian.org/639032
+Bug-Ubuntu: https://bugs.launchpad.net/bugs/831283
+Forwarded: no
+Last-Update: 2011-09-14
+
+Index: b/gtklp/gtklp.h
+===================================================================
+--- a/gtklp/gtklp.h
++++ b/gtklp/gtklp.h
+@@ -27,6 +27,7 @@
+ #include <gtk/gtk.h>
+ #include <cups/cups.h>
+ #include <cups/http.h>
++#include <cups/ppd.h>
+ 
+ #include <defaults.h>
+ 

-- 
Colin Watson                                       [cjwatson@ubuntu.com]




Added tag(s) patch. Request was from Colin Watson <cjwatson@ubuntu.com> to control@bugs.debian.org. (Wed, 14 Sep 2011 13:07:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Zak B. Elep <zakame@zakame.net>:
Bug#639032; Package src:gtklp. (Mon, 21 Nov 2011 16:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Zak B. Elep <zakame@zakame.net>. (Mon, 21 Nov 2011 16:30:03 GMT) Full text and rfc822 format available.

Message #17 received at 639032@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 639032@bugs.debian.org, 644113@bugs.debian.org
Subject: gtklp: diff for NMU version 1.2.7-2.2
Date: Mon, 21 Nov 2011 17:27:51 +0100
[Message part 1 (text/plain, inline)]
tags 639032 + pending
tags 644113 + pending
thanks

Dear maintainer,

I've prepared an NMU for gtklp (versioned as 1.2.7-2.2) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.   Homepage: http://info.comodo.priv.at/ - OpenPGP key ID: 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: JBO: Mir sta'dd'n etz die Feier
[gtklp-1.2.7-2.2-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Mon, 21 Nov 2011 16:30:07 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Wed, 23 Nov 2011 16:51:03 GMT) Full text and rfc822 format available.

Notification sent to bertagaz <bertagaz@ptitcanardnoir.org>:
Bug acknowledged by developer. (Wed, 23 Nov 2011 16:51:03 GMT) Full text and rfc822 format available.

Message #24 received at 639032-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 639032-close@bugs.debian.org
Subject: Bug#639032: fixed in gtklp 1.2.7-2.2
Date: Wed, 23 Nov 2011 16:48:01 +0000
Source: gtklp
Source-Version: 1.2.7-2.2

We believe that the bug you reported is fixed in the latest version of
gtklp, which is due to be installed in the Debian FTP archive:

gtklp_1.2.7-2.2.diff.gz
  to main/g/gtklp/gtklp_1.2.7-2.2.diff.gz
gtklp_1.2.7-2.2.dsc
  to main/g/gtklp/gtklp_1.2.7-2.2.dsc
gtklp_1.2.7-2.2_i386.deb
  to main/g/gtklp/gtklp_1.2.7-2.2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 639032@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated gtklp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 21 Nov 2011 17:13:35 +0100
Source: gtklp
Binary: gtklp
Architecture: source i386
Version: 1.2.7-2.2
Distribution: unstable
Urgency: low
Maintainer: Zak B. Elep <zakame@zakame.net>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 gtklp      - printing tool for CUPS on the GNOME Desktop
Closes: 639032 644113
Changes: 
 gtklp (1.2.7-2.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "FTBFS: gtklp.h:99:1: error: unknown type name 'ppd_file_t'":
     add patch from Ubuntu / Colin Watson:
     - bugs/639032.diff: Include <cups/ppd.h> for ppd_file_t
       (closes: #639032, LP: #831283).
   * Fix "FTBFS format not a string literal and no format arguments [-
     Werror=format-security]": add patch from Ubuntu / Daniel T Chen:
     - bugs/644113.diff: Fix format string literals and some unused variables.
       Resolves FTBFS. (Closes: #644113)
Checksums-Sha1: 
 758491ff3e9035d0341201f7e421a066e3856118 1914 gtklp_1.2.7-2.2.dsc
 6a969b57e6ce3574a63e6f66e31dbc0446fd5625 11246 gtklp_1.2.7-2.2.diff.gz
 5f5e0b607c469f943a5f00ce7a9f67a0663650d8 200832 gtklp_1.2.7-2.2_i386.deb
Checksums-Sha256: 
 7796fe99d0ec6be7215b8528a4ba734b89e734abe58c6a83fa42074666c843af 1914 gtklp_1.2.7-2.2.dsc
 112a8d0b2c7f7cce71b887b30fccb0dca924a03833f31313d35c6a0de85e1d44 11246 gtklp_1.2.7-2.2.diff.gz
 f2d87d428e21a8f5fe7c8472bb94ee9617b4acd6ce62af22bc3e53821f75b3ba 200832 gtklp_1.2.7-2.2_i386.deb
Files: 
 cc22270abb10a1cbc44958a759ec3ef7 1914 x11 optional gtklp_1.2.7-2.2.dsc
 153a993554b9d49d69a882ebc7a5bc6b 11246 x11 optional gtklp_1.2.7-2.2.diff.gz
 3d52be14101510cc1952a6ee04466495 200832 x11 optional gtklp_1.2.7-2.2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOynqxAAoJELs6aAGGSaoGqDcP/0c0I+NuRBOtG+OaZZ5I4+n7
FPFuLCQ41u/yNvqDLxSKon0mwUApwUhlD7tjJugNFZ1kQbHZNhOqAwEUDc1TJLvk
BwgenNJBOU3Od6EwYMthSq91x+LjYcFRZCo+cDHgczC2HJwr4Xs12y8hVSujFTYS
EQmmFdoFw34yH1gB46tUnR9l1V0qLvoWUTeMYhY8bhkiWYSVVsS8D165P7DG0yta
hHtCqpViXNoC/3f0KVmrlrCrU1QONgcclRhMP0344DIrw5yY/Fe4wFW0Z4Nz2qrj
TT0rNaUiM++F4M28aZ93E1Xq8/tfKMxKQTb83wT7VAa1Y70s2sr9ztbATIfM1PWf
YCOhkJBJC386vuLA8mGV9fNPA2steFBdxGogYruNKTUjOOApcMeINUOhrdf7Tjwa
Km1Ycc3joDIQm8GIYgNCREFPTYbxn7NX+sPBhONA697XFwOdO/wZriuAqqT4HSsu
z8HoD0qF/Lj6yFZsaw8VTEHtj+dX3KXVM+sMGFo7kx2jaYLXw0F4LegVy/7PYQeM
TnbW2gKWqKYFnq02HuBEqLuh3lQQF8C256/yHUOTYHBnt2DiX4hdVtmX1Ar4zfx4
oZJPMdidJE4SH1bciNtDLnuY7ySW0prQjZM0qR09+1QFaUyCzojWiZmihXYqlexh
ql+kbEjJLgMY7GyeDV9Q
=2zNV
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 25 Mar 2012 07:36:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:45:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.